Subject: Re: [bug#37234] [PATCH 00/21] MLflow

From: Marius Bakke <[email-masked]>
Date: Sat, 21 Nov 2020 01:27:19 +0100

Ludovic Courtès <[email-masked]> skriver:

> Hello Marius!
>
> Marius Bakke <[email-masked]> skribis:
>
>> These patches add MLflow, a popular machine learning platform.
>>
>> Kristian Trandem (2):
>>   gnu: python-botocore: Update to 1.12.209.
>>   gnu: Add python-boto3.
>>
>> Marius Bakke (19):
>>   gnu: Add python-gunicorn.
>>   gnu: Add python-databricks-cli.
>>   gnu: Add python-gorilla.
>>   gnu: Add python-querystring-parser.
>>   gnu: Add python-minio.
>>   gnu: python-docker-py: Propagate runtime dependency.
>>   gnu: python-botocore: Remove unused inputs.
>>   gnu: Add python-sshpubkeys.
>>   gnu: Add python-jsonpickle.
>>   gnu: Add python-pytest-aiohttp.
>>   gnu: Add python-aws-xray-sdk.
>>   gnu: Add python-jsondiff.
>>   gnu: Add python-jose.
>>   gnu: Add python-boto.
>>   gnu: Add python-aws-sam-translator.
>>   gnu: Add python-cfn-lint.
>>   gnu: python-pyyaml: Add version 5.1.
>>   gnu: Add python-moto.
>>   gnu: Add mlflow.
>
> I had a quick look and it looks all right to me.

I've now (finally!) merged all but the last patch, and updated to the
latest versions in the process.

The final patch that adds MLflow needs more polishing, in particular
newer versions depend on 'python-azure' to work at all.

I no longer have interest in that package and merged the other patches
mostly by popular demand.  ;-)

Closing!